Package org.springframework.security.authentication

# Class TestingAuthenticationToken

java.lang.Object
org.springframework.security.authentication.AbstractAuthenticationToken
org.springframework.security.authentication.TestingAuthenticationToken

All Implemented Interfaces:
  `Serializable`, `Principal`, `Authentication`, `CredentialsContainer`

public class TestingAuthenticationToken extends AbstractAuthenticationToken
An `Authentication` implementation that is designed for use whilst unit testing.

The corresponding authentication provider is `TestingAuthenticationProvider`.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TestingAuthenticationToken(Object principal, Object credentials)`
`TestingAuthenticationToken(Object principal, Object credentials, String... authorities)`
`TestingAuthenticationToken(Object principal, Object credentials, Collection<? extends GrantedAuthority> authorities)`
`TestingAuthenticationToken(Object principal, Object credentials, List<? extends GrantedAuthority> authorities)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getCredentials()`
The credentials that prove the principal is correct.
`Object`
`getPrincipal()`
The identity of the principal being authenticated.

### Methods inherited from class org.springframework.security.authentication.AbstractAuthenticationToken

`equals, eraseCredentials, getAuthorities, getDetails, getName, hashCode, isAuthenticated, setAuthenticated, setDetails, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`implies`

## Constructor Details

### TestingAuthenticationToken

public TestingAuthenticationToken(Object principal, Object credentials)

### TestingAuthenticationToken

public TestingAuthenticationToken(Object principal, Object credentials, String... authorities)

### TestingAuthenticationToken

public TestingAuthenticationToken(Object principal, Object credentials, List<? extends GrantedAuthority> authorities)

### TestingAuthenticationToken

public TestingAuthenticationToken(Object principal, Object credentials, Collection<? extends GrantedAuthority> authorities)

## Method Details

### getCredentials

public Object getCredentials()
Description copied from interface: `Authentication`
The credentials that prove the principal is correct. This is usually a password, but could be anything relevant to the `AuthenticationManager`. Callers are expected to populate the credentials.

Returns:
  the credentials that prove the identity of the `Principal`

### getPrincipal

public Object getPrincipal()
Description copied from interface: `Authentication`
The identity of the principal being authenticated. In the case of an authentication request with username and password, this would be the username. Callers are expected to populate the principal for an authentication request.

The `AuthenticationManager` implementation will often return an `Authentication` containing richer information as the principal for use by the application. Many of the authentication providers will create a `UserDetails` object as the principal.

Returns:
  the `Principal` being authenticated or the authenticated principal after authentication.